Bug 1382875 - Review Request: psad - Port Scan Attack Detector (psad) watches for suspect traffic
Summary: Review Request: psad - Port Scan Attack Detector (psad) watches for suspect t...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jens Lody
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-08 00:31 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2017-07-31 18:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-19 21:02:18 UTC
Type: ---
fedora: fedora-review+


Attachments (Terms of Use)

Description Dominik 'Rathann' Mierzejewski 2016-10-08 00:31:09 UTC
Spec URL: https://rathann.fedorapeople.org/review/psad/psad.spec
SRPM URL: https://rathann.fedorapeople.org/review/psad/psad-2.4.3-1.fc24.src.rpm
Description:
Port Scan Attack Detector (psad) is a collection of three lightweight
system daemons written in Perl and in C that are designed to work with Linux
iptables firewalling code to detect port scans and other suspect traffic.  It
features a set of highly configurable danger thresholds (with sensible
defaults provided), verbose alert messages that include the source,
destination, scanned port range, begin and end times, tcp flags and
corresponding nmap options, reverse DNS info, email and syslog alerting,
automatic blocking of offending ip addresses via dynamic configuration of
iptables rulesets, and passive operating system fingerprinting.  In addition,
psad incorporates many of the tcp, udp, and icmp signatures included in the
snort intrusion detection system (https://www.snort.org) to detect highly
suspect scans for various backdoor programs (e.g. EvilFTP, GirlFriend,
SubSeven), DDoS tools (mstream, shaft), and advanced port scans (syn, fin,
xmas) which are easily leveraged against a machine via nmap.  psad can also
alert on snort signatures that are logged via fwsnort
(https://www.cipherdyne.org/fwsnort/), which makes use of the
iptables string match module to detect application layer signatures.

Fedora Account System Username: rathann

Changes since it was retired:
* Fri Aug 12 2016 Dominik Mierzejewski <rpm@greysector.net> - 2.4.3-1
- update to 2.4.3
- use https in URLs
- supply native systemd unit
- drop obsolete patches
- merge Fedora-specific changes into one patch
- use system whois client instead of bundled one
- update (and sort) Requires list
- tighten file list
- remove bundled stuff in prep

Comment 1 Dominik 'Rathann' Mierzejewski 2016-10-08 00:37:18 UTC
For some reason, the manually specified Requires: perl(foo) are not getting included, see bug 1382865.

Comment 2 Jens Lody 2016-10-09 08:54:12 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Permissions on files are set properly.
  Note: See rpmlint output
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
- Package does not use a name that already exists.
  Note: A package with this name already exists. Please check
  https://admin.fedoraproject.org/pkgdb/package/psad
  See:
  https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Conflicting_Package_Names


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later) (with incorrect FSF address)", "BSD (3
     clause)", "Unknown or generated". 63 files have unknown license.
     Detailed output of licensecheck in
     /home/jens/reviews/rawhide/1382875-psad/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[ ]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /etc/logrotate.d(samba-
     common, logrotate, ppp, sssd-common)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[?]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in psad-
     debuginfo
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Files in /run, var/run and /var/lock uses tmpfiles.d when appropriate
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: psad-2.4.3-1.fc26.x86_64.rpm
          psad-debuginfo-2.4.3-1.fc26.x86_64.rpm
          psad-2.4.3-1.fc26.src.rpm
psad.x86_64: W: spelling-error %description -l en_US firewalling -> fire walling, fire-walling, firewall
psad.x86_64: W: spelling-error %description -l en_US tcp -> pct, tsp, tip
psad.x86_64: W: spelling-error %description -l en_US nmap -> nap, map, neap
psad.x86_64: W: spelling-error %description -l en_US syslog -> slog
psad.x86_64: W: spelling-error %description -l en_US ip -> pi, up, op
psad.x86_64: W: spelling-error %description -l en_US rulesets -> rule sets, rule-sets, russets
psad.x86_64: W: spelling-error %description -l en_US udp -> up, pud, ump
psad.x86_64: W: spelling-error %description -l en_US icmp -> imp, RCMP
psad.x86_64: W: spelling-error %description -l en_US mstream -> stream, m stream, seamstress
psad.x86_64: W: spelling-error %description -l en_US xmas -> Xmas, mas, x mas
psad.x86_64: W: spelling-error %description -l en_US fwsnort -> snort
psad.x86_64: E: non-standard-dir-perm /var/log/psad 700
psad.x86_64: E: dir-or-file-in-var-run /var/run/psad
psad.x86_64: E: non-standard-dir-perm /var/run/psad 700
psad.x86_64: E: dir-or-file-in-var-run /var/run/psad/psad.cmd
psad.x86_64: E: non-readable /var/run/psad/psad.cmd 700
psad.x86_64: E: non-standard-executable-perm /var/run/psad/psad.cmd 700
psad.x86_64: E: non-readable /var/lib/psad/psadfifo 700
psad.x86_64: E: non-standard-executable-perm /var/lib/psad/psadfifo 700
psad.x86_64: E: incorrect-fsf-address /usr/share/licenses/psad/LICENSE
psad.x86_64: E: non-standard-dir-perm /var/lib/psad 700
psad-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psad-2.4.3/psad.h
psad-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psad-2.4.3/kmsgsd.c
psad-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psad-2.4.3/psad_funcs.c
psad.src: W: spelling-error %description -l en_US iptables -> stables, tables
psad.src: W: spelling-error %description -l en_US firewalling -> fire walling, fire-walling, firewall
psad.src: W: spelling-error %description -l en_US tcp -> pct, tsp, tip
psad.src: W: spelling-error %description -l en_US nmap -> nap, map, neap
psad.src: W: spelling-error %description -l en_US syslog -> slog
psad.src: W: spelling-error %description -l en_US ip -> pi, up, op
psad.src: W: spelling-error %description -l en_US rulesets -> rule sets, rule-sets, russets
psad.src: W: spelling-error %description -l en_US udp -> up, pud, ump
psad.src: W: spelling-error %description -l en_US icmp -> imp, RCMP
psad.src: W: spelling-error %description -l en_US mstream -> stream, m stream, seamstress
psad.src: W: spelling-error %description -l en_US xmas -> Xmas, mas, x mas
psad.src: W: spelling-error %description -l en_US fwsnort -> snort
3 packages and 0 specfiles checked; 13 errors, 23 warnings.




Rpmlint (debuginfo)
-------------------
Checking: psad-debuginfo-2.4.3-1.fc26.x86_64.rpm
psad-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psad-2.4.3/psad_funcs.c
psad-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psad-2.4.3/psad.h
psad-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psad-2.4.3/kmsgsd.c
1 packages and 0 specfiles checked; 3 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
psad.x86_64: W: spelling-error %description -l en_US firewalling -> fire walling, fire-walling, firewall
psad.x86_64: W: spelling-error %description -l en_US tcp -> pct, tsp, tip
psad.x86_64: W: spelling-error %description -l en_US nmap -> nap, map, neap
psad.x86_64: W: spelling-error %description -l en_US syslog -> slog
psad.x86_64: W: spelling-error %description -l en_US ip -> pi, up, op
psad.x86_64: W: spelling-error %description -l en_US rulesets -> rule sets, rule-sets, russets
psad.x86_64: W: spelling-error %description -l en_US udp -> up, pud, ump
psad.x86_64: W: spelling-error %description -l en_US icmp -> imp, RCMP
psad.x86_64: W: spelling-error %description -l en_US mstream -> stream, m stream, seamstress
psad.x86_64: W: spelling-error %description -l en_US xmas -> Xmas, mas, x mas
psad.x86_64: W: spelling-error %description -l en_US fwsnort -> snort
psad.x86_64: E: dir-or-file-in-var-run /var/run/psad
psad.x86_64: E: non-standard-dir-perm /var/run/psad 700
psad.x86_64: E: non-standard-dir-perm /var/lib/psad 700
psad.x86_64: E: non-readable /var/lib/psad/psadfifo 700
psad.x86_64: E: non-standard-executable-perm /var/lib/psad/psadfifo 700
psad.x86_64: E: dir-or-file-in-var-run /var/run/psad/psad.cmd
psad.x86_64: E: non-readable /var/run/psad/psad.cmd 700
psad.x86_64: E: non-standard-executable-perm /var/run/psad/psad.cmd 700
psad.x86_64: E: non-standard-dir-perm /var/log/psad 700
psad.x86_64: E: incorrect-fsf-address /usr/share/licenses/psad/LICENSE
psad-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psad-2.4.3/psad.h
psad-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psad-2.4.3/psad_funcs.c
psad-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psad-2.4.3/kmsgsd.c
2 packages and 0 specfiles checked; 13 errors, 11 warnings.



Requires
--------
psad (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/perl
    config(psad)
    iptables
    libc.so.6()(64bit)
    perl(Bit::Vector)
    perl(Carp::Clan)
    perl(Data::Dumper)
    perl(Date::Calc)
    perl(File::Copy)
    perl(File::Path)
    perl(Getopt::Long)
    perl(IO::Handle)
    perl(IO::Select)
    perl(IO::Socket)
    perl(IPTables::ChainMgr)
    perl(IPTables::Parse)
    perl(NetAddr::IP)
    perl(POSIX)
    perl(Socket)
    perl(Storable)
    perl(Unix::Syslog)
    perl(strict)
    rtld(GNU_HASH)

psad-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
psad:
    config(psad)
    psad
    psad(x86-64)

psad-debuginfo:
    psad-debuginfo
    psad-debuginfo(x86-64)



Source checksums
----------------
https://www.cipherdyne.org/psad/download/psad-2.4.3.tar.bz2 :
  CHECKSUM(SHA256) this package     : e482de4602ab72dba868dcdd1078ad3645d49ab02a9eb116dd117c1a5a20f8c5
  CHECKSUM(SHA256) upstream package : e482de4602ab72dba868dcdd1078ad3645d49ab02a9eb116dd117c1a5a20f8c5
https://www.cipherdyne.org/psad/download/psad-2.4.3.tar.bz2.asc :
  CHECKSUM(SHA256) this package     : 6a11a7fdbf054bff8dbd7458bfb722a7c00218d9661e2e63a6832ba4cef85534
  CHECKSUM(SHA256) upstream package : 6a11a7fdbf054bff8dbd7458bfb722a7c00218d9661e2e63a6832ba4cef85534


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1382875
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Jens Lody 2016-10-09 08:54:36 UTC
- Permissions on files are set properly.
  Note: See rpmlint output
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions

The cause for the 0700 file-permissions should be documented in spec-file.

=========================================================================

- Package does not use a name that already exists.
  Note: A package with this name already exists. Please check
  https://admin.fedoraproject.org/pkgdb/package/psad
  See:
  https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Conflicting_Package_Names

Obviously fals-positive for unretiremnent.

=========================================================================

[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later) (with incorrect FSF address)", "BSD (3
     clause)", "Unknown or generated". 63 files have unknown license.
     Detailed output of licensecheck in
     /home/jens/reviews/rawhide/1382875-psad/licensecheck.txt

Not sure about the two strl*.c files with BSD3 license, but I guess they should be
mentioned in license-tag

=========================================================================

[ ]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /etc/logrotate.d(samba-
     common, logrotate, ppp, sssd-common)

Is "%dir /etc/logrotate.d" really needed ?

=========================================================================

[?]: Package consistently uses macros (instead of hard-coded directory
     names).
That's more or less) matter of taste and /etc is obviously shorter than
%{_sysconfdir}, so it's allowed by the guidelines.

=========================================================================

[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
A comment is missing in spec/and patch-file.

=========================================================================

[?]: Package should compile and build into binary rpms on all supported
     architectures.
Not tested/testable.

=========================================================================

spelling errors are mostly false positives.

=========================================================================

psad.x86_64: E: non-standard-dir-perm * 700
psad.x86_64: E: non-standard-executable-perm * 700
See above

=========================================================================

psad.x86_64: E: dir-or-file-in-var-run *
psad.x86_64: E: non-readable * 700
Covered by conf-file in tmpfiles.d and %ghost

=========================================================================

psad.x86_64: E: incorrect-fsf-address /usr/share/licenses/psad/LICENSE
psad-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psad-2.4.3/psad.h
psad-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psad-2.4.3/psad_funcs.c
psad-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psad-2.4.3/kmsgsd.c

Upstream should be informed, the source/header-files can be patched, but there is no need to.
The LICENSE-file should not be changed.

Comment 4 Jens Lody 2016-10-09 08:56:30 UTC
As you can see in the fedora-review output, the requirements seem to work.
I also tested your foo*-package from #1382865 with fedora-review (mock) for Rawhide and F25 and both seems to be correct.

Comment 5 Zbigniew Jędrzejewski-Szmek 2016-10-09 12:27:02 UTC
> Not sure about the two strl*.c files with BSD3 license, but I guess they should be mentioned in license-tag

Jens, please see https://fedoraproject.org/wiki/Licensing:FAQ?rd=Licensing/FAQ#Does_the_License:_tag_cover_the_SRPM_or_the_binary_RPM.3F, and also the discussion of the effective license there. GPL trumps BSD in this case.

--

I mostly wanted to add a comment that the systemd units look fine.

Comment 6 Jens Lody 2016-10-09 17:07:52 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #5)
> > Not sure about the two strl*.c files with BSD3 license, but I guess they should be mentioned in license-tag
> 
> Jens, please see
> https://fedoraproject.org/wiki/Licensing:FAQ?rd=Licensing/
> FAQ#Does_the_License:_tag_cover_the_SRPM_or_the_binary_RPM.3F, and also the
> discussion of the effective license there. GPL trumps BSD in this case.
> 
Thanks for clarifying this !

Comment 7 Jens Lody 2016-10-09 17:08:14 UTC
Another (important) point:

psad needs a selinux-policy to work with selinux set to enforcing.

Comment 8 Jens Lody 2016-10-12 22:55:24 UTC
(In reply to Jens Lody from comment #7)
> Another (important) point:
> 
> psad needs a selinux-policy to work with selinux set to enforcing.

As I have seen, a policy for psad is in the selinux-policy-targeted-package, but this has to be fixed for the new version using systemd instead of sysv init-scripts.
Who does this normally?
How is it triggered ?

Comment 9 Zbigniew Jędrzejewski-Szmek 2016-10-13 11:26:01 UTC
A bug should be filed against selinux-policy-targeted. I guess it'd help to run the daemon in permissive mode and attach the AVC log to the bug.

Comment 10 Dominik 'Rathann' Mierzejewski 2016-10-19 13:57:55 UTC
(In reply to Jens Lody from comment #3)
> - Permissions on files are set properly.
>   Note: See rpmlint output
>   See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
> 
> The cause for the 0700 file-permissions should be documented in spec-file.

Fixed.

[...]
> =========================================================================
> 
> [ ]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses
>      found: "GPL (v2 or later) (with incorrect FSF address)", "BSD (3
>      clause)", "Unknown or generated". 63 files have unknown license.
>      Detailed output of licensecheck in
>      /home/jens/reviews/rawhide/1382875-psad/licensecheck.txt
> 
> Not sure about the two strl*.c files with BSD3 license, but I guess they
> should be mentioned in license-tag

GPLv2+ and BSD is effectively GPLv2+, as mentioned in comment #5.

> 
> =========================================================================
> 
> [ ]: Package does not own files or directories owned by other packages.
>      Note: Dirs in package are owned also by: /etc/logrotate.d(samba-
>      common, logrotate, ppp, sssd-common)
> 
> Is "%dir /etc/logrotate.d" really needed ?

Yes. See:
https://fedoraproject.org/wiki/Packaging:Guidelines#The_directory_is_owned_by_a_package_which_is_not_required_for_your_package_to_function

> =========================================================================
> 
> [!]: Patches link to upstream bugs/comments/lists or are otherwise
>      justified.
> A comment is missing in spec/and patch-file.

Fixed.

> =========================================================================
> 
> [?]: Package should compile and build into binary rpms on all supported
>      architectures.
> Not tested/testable.

Actually this is testable using koji.

> psad.x86_64: E: incorrect-fsf-address /usr/share/licenses/psad/LICENSE
> psad-debuginfo.x86_64: E: incorrect-fsf-address
> /usr/src/debug/psad-2.4.3/psad.h
> psad-debuginfo.x86_64: E: incorrect-fsf-address
> /usr/src/debug/psad-2.4.3/psad_funcs.c
> psad-debuginfo.x86_64: E: incorrect-fsf-address
> /usr/src/debug/psad-2.4.3/kmsgsd.c
> 
> Upstream should be informed, the source/header-files can be patched, but
> there is no need to.
> The LICENSE-file should not be changed.

I'll inform upstream.

Spec URL: https://rathann.fedorapeople.org/review/psad/psad.spec
SRPM URL: https://rathann.fedorapeople.org/review/psad/psad-2.4.3-2.fc24.src.rpm

* Sun Oct 09 2016 Dominik Mierzejewski <rpm@greysector.net> - 2.4.3-2
- fix SELinux policy temporarily (#1040425)
- document patch purpose and file/dir permissions

Comment 11 Jens Lody 2016-10-21 04:21:54 UTC
Sorry for the delay.

Looks good now.

Maybe the temporary selinux-fix should get a comment in the spec (besides the changelog) to make it more easy to see where it belongs to or when it was added.
But that's again more a matter of taste.

Package approved.

Comment 12 Dominik 'Rathann' Mierzejewski 2016-10-25 09:09:12 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #9)
> A bug should be filed against selinux-policy-targeted. I guess it'd help to
> run the daemon in permissive mode and attach the AVC log to the bug.

Zbyszek, a bug was filed a long time ago: bug 1174309.

Comment 13 Dominik 'Rathann' Mierzejewski 2016-10-25 09:10:01 UTC
(In reply to Jens Lody from comment #11)
> Sorry for the delay.
> 
> Looks good now.
> 
> Maybe the temporary selinux-fix should get a comment in the spec (besides
> the changelog) to make it more easy to see where it belongs to or when it
> was added.
> But that's again more a matter of taste.
> 
> Package approved.

Thanks for the review, Jens. I'll add a comment near the scriptlet with a reference to bug 1174309.

Comment 14 Fedora Update System 2016-10-26 20:32:00 UTC
psad-2.4.3-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7eada51d4c

Comment 15 Fedora Update System 2016-10-31 10:21:24 UTC
psad-2.4.3-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7eada51d4c

Comment 16 Fedora Update System 2016-11-03 18:21:10 UTC
psad-2.4.3-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-11-19 21:02:18 UTC
psad-2.4.3-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.